Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 2752963002: Add UMA histograms to mojo leveldb env (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by Marijn Kruisselbrink
Modified:
2 months, 1 week ago
CC:
Aaron Boodman, abarth-chromium, chromium-reviews, darin (slow to review), qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add UMA histograms to mojo leveldb env This adds more or less the same UMA histograms that are logged by the non-mojo leveldb env to the mojo leveldb env. BUG=586194 Review-Url: https://codereview.chromium.org/2752963002 Cr-Commit-Position: refs/heads/master@{#472844} Committed: https://chromium.googlesource.com/chromium/src/+/339e6991a01df07f62d2e91ef220c2139d323d04

Patch Set 1 #

Patch Set 2 : rebase #

Patch Set 3 : cleanup #

Patch Set 4 : better logging #

Total comments: 2

Patch Set 5 : address comment #

Total comments: 1

Patch Set 6 : use UmaHistogramExactLinear convenience wrapper #

Messages

Total messages: 32 (22 generated)
Marijn Kruisselbrink
2 months, 1 week ago (2017-05-17 16:59:45 UTC) #13
cmumford
lgtm % nit https://codereview.chromium.org/2752963002/diff/60001/components/leveldb/env_mojo.cc File components/leveldb/env_mojo.cc (right): https://codereview.chromium.org/2752963002/diff/60001/components/leveldb/env_mojo.cc#newcode393 components/leveldb/env_mojo.cc:393: std::pair<filesystem::mojom::FileError, LevelDBMojoProxy::OpaqueLock*> p = Can remove ...
2 months, 1 week ago (2017-05-17 17:58:37 UTC) #14
Marijn Kruisselbrink
https://codereview.chromium.org/2752963002/diff/60001/components/leveldb/env_mojo.cc File components/leveldb/env_mojo.cc (right): https://codereview.chromium.org/2752963002/diff/60001/components/leveldb/env_mojo.cc#newcode393 components/leveldb/env_mojo.cc:393: std::pair<filesystem::mojom::FileError, LevelDBMojoProxy::OpaqueLock*> p = On 2017/05/17 at 17:58:37, cmumford ...
2 months, 1 week ago (2017-05-17 19:00:21 UTC) #16
Ilya Sherman (Away til Aug 14)
Metrics LGTM https://codereview.chromium.org/2752963002/diff/80001/components/leveldb/env_mojo.cc File components/leveldb/env_mojo.cc (right): https://codereview.chromium.org/2752963002/diff/80001/components/leveldb/env_mojo.cc#newcode457 components/leveldb/env_mojo.cc:457: ->Add(-error); nit: Please use the convenience wrapper ...
2 months, 1 week ago (2017-05-17 19:06:32 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752963002/100001
2 months, 1 week ago (2017-05-17 19:22:25 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/429549)
2 months, 1 week ago (2017-05-18 03:10:37 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752963002/100001
2 months, 1 week ago (2017-05-18 04:57:46 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430199)
2 months, 1 week ago (2017-05-18 07:49:56 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752963002/100001
2 months, 1 week ago (2017-05-18 14:34:37 UTC) #29
commit-bot: I haz the power
2 months, 1 week ago (2017-05-18 16:50:04 UTC) #32
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/339e6991a01df07f62d2e91ef220...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973